Retrieves a vector store file batch

Retrieves a vector store file batch.

Request

GET

https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}
        

Path parameters

Name

Description

batch_id

Type: string

The ID of the file batch being retrieved.

Example: ``

vector_store_id

Type: string

The ID of the vector store that the file batch belongs to.

Example: ``

Responses

200 OK

OK

Body

application/json
{
          "id": "example",
          "object": "vector_store.files_batch",
          "created_at": 0,
          "vector_store_id": "example",
          "status": "in_progress",
          "file_counts": {
            "in_progress": 0,
            "completed": 0,
            "failed": 0,
            "cancelled": 0,
            "total": 0
          }
        }
        

Name

Description

created_at

Type: integer

The Unix timestamp (in seconds) for when the vector store files batch was created.

file_counts

Type: object

cancelled

Type: integer

The number of files that where cancelled.

completed

Type: integer

The number of files that have been processed.

failed

Type: integer

The number of files that have failed to process.

in_progress

Type: integer

The number of files that are currently being processed.

total

Type: integer

The total number of files.

Example
{
          "in_progress": 0,
          "completed": 0,
          "failed": 0,
          "cancelled": 0,
          "total": 0
        }
        

id

Type: string

The identifier, which can be referenced in API endpoints.

Example: example

object

Type: string

The object type, which is always vector_store.file_batch.

Const: vector_store.files_batch

Example: example

status

Type: string

The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

Enum: in_progress, completed, cancelled, failed

vector_store_id

Type: string

The ID of the vector store that the File is attached to.

Example: example